taskId returned by the custom voice generation API.status is success, the response contains the generated voiceId.errorCode and errorMessage to decide whether to retry validation or generation.| Status | Meaning |
|---|---|
wait_processing | Task is waiting to be processed |
processing_validate | Verification is being processed |
processing_validate_fail | Verification failed |
wait_validating | Waiting for validation to complete |
success | Voice is ready and voiceId can be used |
fail | Task failed |
curl --location 'https://apibox.erweima.ai/api/v1/voice/record-info?taskId=undefined' \
--header 'Authorization: Bearer <token>'{
"code": 200,
"msg": "success",
"data": {
"taskId": "xxx_task_id_xxx",
"voiceId": "xxx",
"status": "wait_processing, processing_validate: waiting for validation code, processing_validate_fail: failed to obtain validation code, wait_validating: waiting for verification, success, fail",
"errorCode": 500,
"errorMessage": "xxxxx"
}
}